Skip to main content

Connecting a Web3 Wallet

To interact with the blockchain, we first need to connect a wallet. Here are examples using ethers.js, web3.js, and viem.

Retrieving Token Quotes

Now that the wallet is connected, we can request token quotes from Rubic API. Endpoint: POST https://api-v2.rubic.exchange/api/routes/quoteBest
You can get more information about quote endpoint here: Request Quote

Approving Tokens for Transaction

Before sending a transaction, you need to approve the token. Approve allows a user to authorize a contract or application to manage a specified amount of their tokens, which is necessary for secure interaction with decentralized applications such as exchanges or DeFi protocols. This gives users control over how many tokens can be used, providing an additional layer of security. Below are examples for different libraries.

Retrieving Data to Execute a Transaction

To perform a token swap through Rubic API, we need to get the necessary data for the transaction. Endpoint: POST https://api-v2.rubic.exchange/api/routes/swap
You can get more information about swap endpoint here: Request Data

Executing a Transaction with the API Response Data

Using the data obtained from the Rubic API, you can now execute the transaction.

Track your transaction

Now you can track your transaction status Endpoint: GET https://api-v2.rubic.exchange/api/routes/status
You can get more information about status endpoint here: Get cross-chain status